summaryrefslogtreecommitdiff
path: root/config/chroot_local-hooks/install_silverlight.sh
diff options
context:
space:
mode:
authorAndreas Loibl <andreas@andreas-loibl.de>2013-08-25 17:08:05 +0200
committerAndreas Loibl <andreas@andreas-loibl.de>2013-08-25 17:10:13 +0200
commitb1a5db4306c374b02f9d579a33f509bcfd113200 (patch)
treebd971f138399cc0f6494c1b1a7ff0be2dc6f6bf6 /config/chroot_local-hooks/install_silverlight.sh
parent5ccdc52857d1535e492f3914e12297a3145b138c (diff)
downloadkanotix-b1a5db4306c374b02f9d579a33f509bcfd113200.zip
kanotix-b1a5db4306c374b02f9d579a33f509bcfd113200.tar.gz
(optional) install Silverlight-plugin with Pipelight
Diffstat (limited to 'config/chroot_local-hooks/install_silverlight.sh')
-rwxr-xr-xconfig/chroot_local-hooks/install_silverlight.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/install_silverlight.sh b/config/chroot_local-hooks/install_silverlight.sh
new file mode 100755
index 0000000..691de40
--- /dev/null
+++ b/config/chroot_local-hooks/install_silverlight.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+[ -x /opt/wine-compholio/bin/wine ] || exit 0
+export WINE=/opt/wine-compholio/bin/wine
+export WINEARCH=win32
+export WINEDLLOVERRIDES="mscoree,mshtml="
+export WINEPREFIX="/etc/skel/.wine-pipelight/"
+export DISPLAY=:1
+Xvfb :1 -screen 0 1024x768x16 &
+/usr/share/wine-browser-installer/download-missing-files wine-silverlight5.1-installer
+/usr/share/wine-browser-installer/install-dependency wine-silverlight5.1-installer
+kill $!
+apt-get --yes --purge remove xvfb
+apt-get --yes --purge autoremove